package com.ruoyi.system.service.webService;

import com.ruoyi.system.domain.webOffice.WebofficeFj;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * webOffice附件记录Service接口
 * 
 * @author boman
 * @date 2024-05-20
 */
public interface IWebofficeFjService 
{
    /**
     * 查询webOffice附件记录
     * 
     * @param webofficeId webOffice附件记录主键
     * @return webOffice附件记录
     */
    public WebofficeFj selectWebofficeFjByWebofficeId(Long webofficeId);

    /**
     * 查询webOffice附件记录列表
     * 
     * @param webofficeFj webOffice附件记录
     * @return webOffice附件记录集合
     */
    public List<WebofficeFj> selectWebofficeFjList(WebofficeFj webofficeFj);

    /**
     * 新增webOffice附件记录
     * 
     * @param webofficeFj webOffice附件记录
     * @return 结果
     */
    public int insertWebofficeFj(WebofficeFj webofficeFj);

    /**
     * 修改webOffice附件记录
     * 
     * @param webofficeFj webOffice附件记录
     * @return 结果
     */
    public int updateWebofficeFj(WebofficeFj webofficeFj);

    /**
     * 批量删除webOffice附件记录
     * 
     * @param webofficeIds 需要删除的webOffice附件记录主键集合
     * @return 结果
     */
    public int deleteWebofficeFjByWebofficeIds(Long[] webofficeIds);

    /**
     * 删除webOffice附件记录信息
     * 
     * @param webofficeId webOffice附件记录主键
     * @return 结果
     */
    public int deleteWebofficeFjByWebofficeId(Long webofficeId);

    String upload(MultipartFile file);

    String upload(String fileId, byte[] content, String suffix, HttpServletRequest request);
}
